import { SimpleLocalIntegration } from '../../core/index.js';
import { ManualMqttConfigFlow } from './manual_mqtt.classes.configflow.js';
import { createManualMqttDiscoveryDescriptor } from './manual_mqtt.discovery.js';
import type { IManualMqttConfig } from './manual_mqtt.types.js';
import { manualMqttDomain, manualMqttProfile } from './manual_mqtt.types.js';

export class ManualMqttIntegration extends SimpleLocalIntegration<IManualMqttConfig> {
  public readonly domain = manualMqttDomain;
  public readonly discoveryDescriptor = createManualMqttDiscoveryDescriptor();
  public readonly configFlow = new ManualMqttConfigFlow();

  constructor() {
    super(manualMqttProfile);
  }
}
